package cn.com.qmth.examcloud.task.service.consumer;

import cn.com.qmth.examcloud.marking.api.MarkTaskCloudService;
import cn.com.qmth.examcloud.marking.api.bean.MarkRangeBean;
import cn.com.qmth.examcloud.marking.api.request.CreateMarkRangeReq;
import cn.com.qmth.examcloud.task.base.multithread.Consumer;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;

public class MarkWorkCreateRangeConsumer extends Consumer<MarkRangeBean> {

    private MarkTaskCloudService markTaskCloudService = SpringContextHolder.getBean(MarkTaskCloudService.class);

    @Override
    public void consume(MarkRangeBean dto) {
        CreateMarkRangeReq req = new CreateMarkRangeReq();
        req.setBean(dto);
        markTaskCloudService.createMarkRange(req);
    }
}
